/**
  *  \file client/tiles/shipmovement.h
  *
  *  (c) 2001-2017 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_SHIPMOVEMENT_H
#define PCC_V2_CLIENT_TILES_SHIPMOVEMENT_H

#include "client/wtile.h"
#include "ui/table.h"
#include "client/wcolorframe.h"

/// Ship movement tile (waypoint/speed/mass/ETA).
class WShipMovementTile : public WObjectSelectionObserverTile {
    void init();
    void drawShipMovementTile(UIAbstractTableWriter& tw, bool fixed_only);
    ObjectHolder h;
    WColorFrame cf_f10;
 public:
    WShipMovementTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

#endif
